[mysqld]
# Порт, на котором будет "висеть" сервер MySQL
port=3306

# Максимальное число одновременных подключений к БД (число машин*4)
max_connections=160

# Папка, куда были установлены все файлы
basedir="/nimpix/component/mysql/"

# Папка, где будет лежать сама База Данных
datadir="/nimpix/component/mysql/data/"

# Может понадобиться при восстановлении БД
#innodb_force_recovery = 4

# 
log-bin=/nimpix/component/logs/mysql/
# 
tmpdir=/nimpix/component/temp/mysql/   

# не производить поиск имени машины от ip-адреса 
skip-name-resolve

#skip-bdb
character-set-server=utf8
default-storage-engine=MyISAM
sql-mode="STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION"
query_cache_size=8M
table_cache=320
tmp_table_size=10M
thread_cache_size=8
max_allowed_packet=8M

#*** MyISAM Specific options
myisam_max_sort_file_size=100G
;myisam_max_extra_sort_file_size=100G
myisam_sort_buffer_size=9M
key_buffer_size=8M
read_buffer_size=64K
read_rnd_buffer_size=256K
sort_buffer_size=256K

federated=ON

#*** INNODB Specific options ***
# innodb_additional_mem_pool_size=15M
# innodb_thread_concurrency=8
# innodb_mirrored_log_groups=1
# innodb_log_files_in_group=3
# innodb_log_buffer_size=15M
# innodb_log_archive=0
# innodb_file_io_threads=4
# innodb_lock_wait_timeout=30

# Цифра ниже зависит от размера ОЗУ на машине. Рекомендуем указывать 50% от доступного ОЗУ
# innodb_buffer_pool_size=100M

# Цифра ниже - 25%-100% от цифры выше
# innodb_log_file_size=50M

# Ниже задаётся сколько файлов срзу отвести под БД и какого размера
# innodb_data_file_path = ibdata1:2000M;ibdata2:2000M:autoextend

# 1 - сброс лога на диск при каждом COMMIT (высокая надёжность)
# 0 - раз в сек (только при работе с UPS)
# 2 - при каждом COMMIT но не чаще раза в сек (только при работе с UPS)
# innodb_flush_log_at_trx_commit=2


[client]
port=3306

[mysql]
default-character-set=utf8
;character-set-server=utf8